Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06259 Graphics Minor Always Jun 25, 2016, 19:07 Jul 31, 2017, 19:46
Tester izius View Status Public Platform MAME (Official Binary)
Assigned To Kale Resolution Fixed OS
Status [?] Resolved Driver combatsc.cpp
Version 0.174 Fixed in Version 0.189 Build Normal
Summary 06259: combatsc, combascj, combasct, bootcamp, bootcampa: Wrong priority in the drill instructor screen
Description In the drill instructor screen, his hand is displayed behind the ribbons of his medals.
Steps To Reproduce Wait in the attract mode. The screen appears from the 2nd loop onward, right after the title.
It can appear also in-game, if you fail one of the shooting range events, by shooting 1-4 less targets than required to qualify.
Additional Information
Flags Verified with Original
Regression Version 0.37b1
Affected Sets / Systems combatsc, combascj, combasct, bootcamp, bootcampa
Attached Files
png file icon 0000.png (8,069 bytes) Jun 25, 2016, 19:07 Uploaded by izius
izius
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.12811
B2K24
Moderator
Jun 26, 2016, 01:36
How did you determine the regression version is 0.37b1?

 Also, how do we know this reported behavior doesn't happen using the PCB as well?
User avatar
No.12817
izius
Tester
Jun 26, 2016, 09:57
edited on: Jun 26, 2016, 10:00
Well, since I wasn't seeing any changes in the recent releases, I jumped back by 10 versions each time while testing back. But that priority kept displaying like that until I come to 0.36, which is the only one that doesn't have this issue.

I honestly don't know if it happens in the PCB or not. I tried looking for videos but most of what I found were taken using MAME, as they showed bug 00399 in shooting range II. And in the few cases they didn't, I can't be totally sure they were taken from a real PCB recording or a pre-0.118u1 MAME.

That said, I think I should mark this as possible until some evidence is collected.

User avatar
No.12820
Machone
Tester
Jun 27, 2016, 06:47
edited on: Jun 27, 2016, 06:48
Looks like a MAME bug to me:



20 minutes in...

User avatar
No.14023
Machone
Tester
Jul 28, 2017, 01:07
Another video showing correct behaviour from an original pcb:



Jump to 1:30